Package net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl

# Class ValidIssuersLookupFunction

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl.ValidIssuersLookupFunction

All Implemented Interfaces:
  `Function<InOutOperationContext,Set<String>>`

public class ValidIssuersLookupFunction extends Object implements Function<InOutOperationContext,Set<String>>
Function to resolve the valid issuers from the SOAP client operation context.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<InOutOperationContext,String>`
`delegate`
The lookup delegate.

## Constructor Summary

Constructors
Constructor
Description
`ValidIssuersLookupFunction()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`apply(InOutOperationContext opContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### delegate

@Nonnull private Function<InOutOperationContext,String> delegate
The lookup delegate.

## Constructor Details

### ValidIssuersLookupFunction

public ValidIssuersLookupFunction()
Constructor.

## Method Details

### apply

@Nullable @Unmodifiable @NotLive public Set<String> apply(@Nullable InOutOperationContext opContext)

Specified by:
  `apply` in interface `Function<InOutOperationContext,Set<String>>`